Ubuntu

Evolution Exchange unreliability in Hardy

Reported by Ian Redfern on 2008-04-11
26
Affects Status Importance Assigned to Milestone
evolution-exchange (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: evolution-exchange

I've been using Evolution against Exchange since it reached 2.0, and on Ubuntu since Dapper, and I've never seen problems like this.

I'm using a current Hardy 32-bit (now 2.22.1-0ubuntu2) against Exchange 2003, and in the past three days I've had:

Filtering new message(s) (0% complete), ignores new mail and unable to quit - 6 times
Error while performing operation (and spinning a CPU) - 5 times
Error while Refreshing folder - 4 times
The Evolution tasks have quit unexpectedly - once
evolution-exchange closed unexpectedly - once
The Evolution calendar has quit unexpectedly - once

That's 18 restarts in 15 hours' usage. Six of the restarts needed killev because evolution wouldn't quit. In one case, I needed evolution --disable-preview to start it without it locking up.

I've already set a Global Catalogue Server name to avoid the spinning at 100% bug when composing an email (#213404), and I've disabled all the extensions I can live without (#208440). I'm living with the occasionally broken automatic filtering (#10669) and manually applying filtering when needed - usually after a crash. And my Exchange server hasn't changed recently - I have the OWA tab open in Firefox to check for incoming mails, and it's been working fine all this time.

I've tried setting up a backtrace, but evolution-exchange-storage doesn't seem to be crashing, just getting confused. When I run it with E2K_DEBUG=4, it dumps core immediately, so never gets to the problem. What additional information can I supply to help debug this?

Is it just me?

Paul Smith (psmith-gnu) wrote :

I'm using Hardy an a 64bit core 2 machine and I'm seeing instability as well. The upgrade from 2.22.0 to 2.22.1 on Tuesday or so helped a great deal. However, I've still seen this problems occasionally. The odd thing is that on my older Gutsy system I've built Evolution from SVN and it's MUCH more stable than the Hardy version. I can't understand this since they both would appear to come from the same codebase.

QuentinHartman (qhartman) wrote :

I upgraded to Hardy this morning and it seemed to work fine initially, but after the initial sync up, it now refuses to see new mail on my exchange server, as you describe. OWA works fine, I can see the new mail there. I am also getting a bunch of weird exchange backend crashes, like you describe, and mail folders are not updating reliably.

The only regular oddity I had under Gutsy was that filtering was not automatically applied to new messages, I just got accustomed to the ctrl-a, ctrl-y dance to work around it.

Nothing on Exchange has changed, and the only possible inconsistency there is that the server requires an https connection and the certificate it uses is expired.

Changed in evolution-exchange:
status: New → Confirmed
QuentinHartman (qhartman) wrote :

One other note I forgot to mention. It seems that the exchange backend is not _completely_ ignoring new mails because when I go into OWA, all of the new mails have been marked as read, even though they have never appeared in Evolution.

QuentinHartman (qhartman) wrote :

So, I tested Evolution in a clean installation and it (so far) works normally. If I import a backup of my old Evolution settings and folders, it breaks again. It seems that there is some incompatibility between the data from Evo in Gutsy and Hardy which is the root of this problem. Can you confirm this in your installation? I just did a fresh install of Hardy onto a Virtual Machine to test it out.

Based on what I found in that testing, I was able to figure out a work-around in my current install:

-Close Evolution
-Tar up any local mail you have (tar -czvf local_mail.tar.gz ~/.evolution/mail/local) so it can be restored.
-Move the .evolution directory to .evolution.old (or whatever you like, or delete it if you are brave)
-Move or delete the "Evolution" file in ~/.gnome2_private (this may not be strictly necessary, but I did it)
-Start Evolution. It should retain your account settings and address book and successfully connect to Exchange, showing new messages.
-There may be some messages that are still "lost", usually ones that came in while using the new version of Evo. Ones that show up in OWA as read, but you never saw in Evo. The best way I've found to get those messages is to move them to Trash (or some other folder) in OWA and then they should appear in that folder in the Evo view. From there they can be drug back to your inbox from within Evo.

I've been using Evo for about an hour after doing this and things seem normal... Clearly not a "fix", but it at least allows me to carry on with my real work. I still think that there is something in the older files that the newer Evo (maybe the exchange connector itself) is not understanding correctly. Perhaps it is in the files that Evo uses to cache the exchange folders locally?

QuentinHartman (qhartman) wrote :

Alright, so my work around gets things working, but it seems that the exchange backend still silently fails as I fairly regularly get "Unable to retrieve message, communication with exchange backend failed" notices when trying to read new mail in Evo. A restart of Evo gets around the problem, but it recurs quite frequently. In the 3 hours I've been at work this morning, I've had to restart Evo 4 times. If there is anyone paying attention to this bug who could provide some guidance on collecting useful debugging information I would appreciate it. I will happily run any diagnostics necessary to get this fixed, but Evo internals seem rather over my head.

Axel` (aw-axelwinter) wrote :

There have been issues in my clean hardy install (Kubuntu; lastest patches all backports etc constantly updated) with Evo on the same issue. It happened that I am getting messages in the EVO front end saying lost connection to such and such module. I have to quite it and restart Evo. Very rarley I ll need to manually kill -9 the backend processes/restart the machine. I am using the Exchange Plugin heavily, too.

The funny part is, that all day today this did not happen. Yesterday I seem to remember an Evo update coming in. Today was an update - just system files.

So I am not sure whether this fixed it or not. Would be good to see others responding on this.

Cheers,
Axel

p.s. it will probably happening again after I press send ;-)

Bill Gjestvang (bgjestvang) wrote :

I've been seeing similar stuff in Hardy. I upgraded from Gutsy, which wasn't trouble free, either. Currently in Hardy, it just stops receiving and sending mail, without my noticing for a while. Sometimes I get a popup error, like "The Evolution tasks have quit unexpectedly." These happen at least every couple hours. I am always restarting evolution. I have to monitor Outlook Web Access just to see whether evolution is actually working.

Bill Gjestvang (bgjestvang) wrote :

This has been drastically improved, if not fixed, in the latest updates. Is anyone still seeing this? I'm running:

evolution 2.22.2-0ubuntu1.2
evolution-common 2.22.2-0ubuntu1.2
evolution-data-server 2.22.2-0ubuntu1
evolution-data-server-common 2.22.2-0ubuntu1
evolution-exchange 2.22.2-0ubuntu1
evolution-plugins 2.22.2-0ubuntu1.2
evolution-webcal 2.21.92-0ubuntu1

  • unnamed Edit (646 bytes, text/html; charset=ISO-8859-1)

On Wed, Jun 11, 2008 at 3:54 PM, Bill Gjestvang <
<email address hidden>> wrote:

> This has been drastically improved, if not fixed, in the latest updates.
> Is anyone still seeing this? I'm running:
>

I just updated to those versions as well. It's too early to say if it's had
an impact on me. I'll post more findings tomorrow.

--
-Regards-

-Quentin Hartman-

Ian Redfern (ian-redfern) wrote :

Paul Smith's work on the LDAP library, plus the other updates above, have solved the problem for me - Evolution is back to about one crash a week, and is usable again.

Many thanks to Paul for his heroic debugging work!

QuentinHartman (qhartman) wrote :
  • unnamed Edit (862 bytes, text/html; charset=ISO-8859-1)

On Fri, Jun 13, 2008 at 3:17 AM, Ian Redfern <email address hidden> wrote:

> Paul Smith's work on the LDAP library, plus the other updates above,
> have solved the problem for me - Evolution is back to about one crash a
> week, and is usable again.
>
> Many thanks to Paul for his heroic debugging work!
>

I'd have to agree that this has helped tremendously. I used Evo with no
crashing all day yesterday. I think that is the first time that has happened
since I upgraded to Hardy. Thank you thank you!

--
-Regards-

-Quentin Hartman-

Brian Truelsen (truelsen) wrote :

On 12/06/08 00.54, "Bill Gjestvang" <email address hidden> wrote:

> This has been drastically improved, if not fixed, in the latest updates.
> Is anyone still seeing this?

Stability seems to be improved but the show-stopper is still that I do not
get new messages after initial listing.

Messages are still marked as read on the Exchange 2005 server while not
being presented in Evolution.

DeeEmm (deeemm) wrote :

I'm still experiencing many lock-ups, even with version 2.22.2

The functionality of evolution in gutsy has not generally been a problem, very occasionally I would get email appear on my phone that didn't appear via OWA in evolution, it would lock up one a week or so - but I ould live with that

However, since the update to hardy things have been getting progressively worse.

The messages in one of my inbox folders has somehow got out of sync - if I preview or open a message it is different to the message in the list - many of the messages that open are junk messages yet the junk message folder is empty.

Potentially I've lost a lot of messages - not sure if my old messages still exist somewhere or if they have been replaced??

By far the worst part is that now it locks up at least every half hour.

I've just tried renaming the evolution folder and restarting but even that has now locked up.

Here's a sample of some of the messages I've been getting

---------------------------------------------------------

(evolution:9077): libecal-WARNING **: e-cal.c:318: Unexpected response
BBDB spinning up...

(evolution:9077): camel-WARNING **: Could not find key entry for word 'xxxxxxxxxxxxxxxxxxxxxxxxx': Success

(evolution:9077): camel-WARNING **: Could not find key entry for word 'xxxxxxxxxxxxxxxxxxxxx': Success

(evolution:9077): camel-WARNING **: Could not find key entry for word 'xxxxxxxxxxxxxxxxxxxxxx': Success

(evolution:9077): gtkhtml-WARNING **: oo

---------------------------------------------------------

restoring draft flag 'text/plain'
camel-Message: ++
camel-Message: ++
restoring draft flag 'text/plain'

---------------------------------------------------------

** Message: Response 1

(evolution:26751): libecal-WARNING **: e-cal.c:318: Unexpected response

(evolution:26751): libecal-WARNING **: e-cal.c:318: Unexpected response

---------------------------------------------------------

BBDB spinning up...

---------------------------------------------------------

Does anyone have any ideas????

Regards.

DM

Ian Redfern (ian-redfern) wrote :

The key version number for me was for libldap-2.4-2, not Evolution.

I'm finding no lockups with Evolution 2.22.2 and libldap-2.4-2 version 2.4.9-0ubuntu0.8.04 from hardy-updates.

It's completely unusable for me. With an exchange account enabled, I get an Evolution freeze within seconds. even when I am replying to an email from my imap account. I get nothing very useful from console output if I run it from a shell. It doesn't crash, it just freezes.
Disabling the exchange account immediately brings back a stable Evolution.
I followed the clean install instructions above, and I did a reinstall of Exchange, but it made no difference. I have all the hardy repositories installed, updates and proposed updates. I will try making a new user to see if that helps.

Brian Truelsen (truelsen) wrote :

I can second this observation.

Eventually Evolution comes out of the frozen state but then it is not
useable on the Exchange-part.

Please advise on some debugging sessions so we can provide sufficient info
for correction.

On 07/07/08 09.00, "Tim Richardson" <email address hidden> wrote:

> It's completely unusable for me. With an exchange account enabled, I get an
> Evolution freeze within seconds. even when I am replying to an email from my
> imap account. I get nothing very useful from console output if I run it from a
> shell. It doesn't crash, it just freezes.
> Disabling the exchange account immediately brings back a stable Evolution.
> I followed the clean install instructions above, and I did a reinstall of
> Exchange, but it made no difference. I have all the hardy repositories
> installed, updates and proposed updates. I will try making a new user to see
> if that helps.
>
> --
> Evolution Exchange unreliability in Hardy
> https://bugs.launchpad.net/bugs/215614
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Med venlig hilsen

Brian Truelsen
Fuldmægtig, it-driftsleder, IT@Naturvidenskab

Tlf. 6550 3542
Mobil 6011 3542
Fax 6550 2467
Email <email address hidden>
Web http://www1.sdu.dk/Nat/bmb/staff/Truelsen_B.htm
Adr. Campusvej 55, 5230 Odense M

I am seeing a significant improvement after I put a value into the Global Address List server field.
I previously had it blank.
Now I have entered the name of the Exchange server. In fact, I put its IP address (not a URL so not https:// but simply the IP address).

It hasn't crashed since I did this (the change requires a reboot).

Ian Redfern (ian-redfern) wrote :

According to https://bugs.launchpad.net/ubuntu/+source/evolution-exchange/+bug/213404 a Global Catalogue Server name is essential - certainly I was suffering a lot of lockups until I added one.

John (swiftredvette) wrote :

The problem seems to revolve around the calendar part, and not the mail. From what I gather, when the calender is refreshing, that is when the locking occurs. I also had the same issue when I subscribed to my gmail calendar, and it went away when i removed the subscription.

There is also a bug not allowing the user to store the calendar locally ("folder not found" error), which might solve the issue entirely.

It is almost unusable for me; I have to restart about every ten minutes.

John, I am using outlook calendar, even offline. Since I added the server into the Global Address List (three posts above) the stability has been ok (hours or days between crashes), although I have another caveat: if you are accessing your outlook mail box elsewhere at the same time (for example, from a Windows XP virtual machine) stability problems are in your destiny. This may be an Exchange weakness.

Before the change to the GAL, I was seeing crashes within minutes of starting evolution.

1) - This bug is now half a year old and no one even cares to set its importance level. Maybe someone should send an idea to the launchpad admins? Just an idea.

2) - AFAIR entries posted here never get to the GNOME bug tracker, and Ubuntu currently has no maintainer for evolution. Maybe someone could convince the GNOME people to look into launchpad, too or to link these two bug trackers in some technical way? Just an idea.

Pedro Villavicencio (pedro) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering is this still an issue for you? Could you try the same with Karmic or Jaunty ? Thanks in advance.

Changed in evolution-exchange (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
John (swiftredvette) wrote :

Unfortunately due to this particular issue, I had to switch back to Windows
XP on my office computer. I have not tried this for a long while.

That being said... I hate Windows XP, and would like for something to be
developed that can replace Outlook -- it is the only software that is yet
matched in Ubuntu.

On Tue, Aug 25, 2009 at 11:27 AM, Pedro Villavicencio <email address hidden>wrote:

> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. You reported this bug a while ago and there hasn't been
> any activity in it recently. We were wondering is this still an issue
> for you? Could you try the same with Karmic or Jaunty ? Thanks in
> advance.
>
> ** Changed in: evolution-exchange (Ubuntu)
> Importance: Undecided => Low
>
> ** Changed in: evolution-exchange (Ubuntu)
> Status: Confirmed => Incomplete
>
> --
> Evolution Exchange unreliability in Hardy
> https://bugs.launchpad.net/bugs/215614
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I have stopped using Ubuntu for business purpose because Evolution is not working. I do not have the time to test it anymore. Life is too short for that.

Best regards

Brian Truelsen
Administrative officer, IT operations manager, IT@NaturalSciences

Tel. +45 6550 3542
Mobile +45 6011 3542
Fax +45 6550 2467
Email <email address hidden>
Web http://www.sdu.dk/ansat/truelsen.aspx
Addr. Campusvej 55, DK-5230 Odense M, Denmark

UNIVERSITY OF SOUTHERN DENMARK
_______________________________________________________________
Campusvej 55 * DK-5230 * Odense M * Denmark * Tel. +45 6550 1000 * www.sdu.dk

-----Oprindelig meddelelse-----
Fra: <email address hidden> [mailto:<email address hidden>] På vegne af Pedro Villavicencio
Sendt: 25. august 2009 17:28
Til: Brian Truelsen
Emne: [Bug 215614] Re: Evolution Exchange unreliability in Hardy

Thank you for taking the time to report this bug and helping to make
Ubuntu better. You reported this bug a while ago and there hasn't been
any activity in it recently. We were wondering is this still an issue
for you? Could you try the same with Karmic or Jaunty ? Thanks in
advance.

** Changed in: evolution-exchange (Ubuntu)
   Importance: Undecided => Low

** Changed in: evolution-exchange (Ubuntu)
       Status: Confirmed => Incomplete

--
Evolution Exchange unreliability in Hardy
https://bugs.launchpad.net/bugs/215614
You received this bug notification because you are a direct subscriber
of the bug.

Ian Redfern (ian-redfern) wrote :

Yes, it's still a severe problem in Jaunty, using Evolution with Exchange 2003.

The remaining problems are:

Filtering new message(s) (0% complete), ignores new mail and unable to quit - happens about once every two hours, and about half the time on suspend/resume or VPN drop

Error while Refreshing folder, because evolution-exchange has crashed - daily

Unable to see new mail in Incoming, requiring SQLite table to be rebuilt - most times after a forced quit

Lock up - almost every time the connection is lost

Spins a CPU - alternative to crashing/lockup

Starts/stays disconnected when network is up - around 1/3 of starts

Starts/stays connected when network is down - every time

Forgets passwords - every time it tries to fetch mail without a network

Local replication of calendar doesn't work at all, and has never worked for me.

Crash in composer - now as rare as once a month

Things got much better in Hardy with the LDAP patch, but got much worse again with the switch to SQLite. I now have to do

/usr/lib/evolution/2.26/killev && rm ~/.<email address hidden>/folders.db

every time something goes wrong. On the plus side, the above commands always seem to fix things. Yes, I have a Global Catalogue Server name.

I haven't tried with Karmic yet, but I will once it's in beta. Right now, anyone using Evolution against Exchange 2003 must have extraordinary patience.

Neil Mclean (nwmclean) wrote :

I have done no definitive testing and can therefore add no more than a possibly infuriating "me too" with regards to evolution being pretty much unusable for business purposes with an exchange 2003 mail server - ever since I upgraded to ubuntu 9.04 (Jaunty). (I keep the OS and all updates up to date)

It starts up and runs and checks for email and is usable for a few minutes, maybe 5 or 10-15 minutes, then it basically loses connection to back end(?) with no warning. Sent mails dont go out. It doesnt get new inbound email.

Close and reopen evolution does not help. Using "evolution --force-shutdown" and restart evolution gets it up again for another 5-15 minutes.

With guidance I am happy to find and send up logs etc.

Kurt Huwig (k-huwig) wrote :

I am just experiencing it the third time within 15 minutes.

Strace on evolution:

restart_syscall(<... resuming interrupted call ...>
(nothing more)

Strace on evolution-exchange-storage:

read(3, 0x1a300d4, 4096) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=22, events=POLLIN}, {fd=28, events=POLLIN}, {fd=23, events=POLLIN}], 7, 2424882) = 1 ([{fd=23, revents=POLLNVAL}])
read(3, 0x1a300d4, 4096) = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=22, events=POLLIN}, {fd=28, events=POLLIN}, {fd=23, events=POLLIN}], 7, 2424881) = 1 ([{fd=23, revents=POLLNVAL}])
(looping)

The fd is this:

lrwx------ 1 kurt kurt 64 2009-10-13 09:00 /proc/23790/fd/3 -> socket:[7373002]

for which lsof reports

evolution 23790 kurt 3u unix 0xffff88020c447440 7373002 socket

IMHO the problem has two reasons:

1. the evolution main developers don't know how to write applications that use threads. This causes the hangs within evolution.

2. the evolution-exchange-storage developers don't know how to handle connection errors.

Both in combination render the software useless.

Heidrich Attila (heidrich) wrote :

After adding a recipient, the compose windows locks up for me for several minutes. I usually do not wait enough, so I have to kill evolution.

Ubuntu 9.10

ii evolution 2.28.1-0ubuntu1 groupware suite with mail client and organizer
ii evolution-common 2.28.1-0ubuntu1 architecture independent files for Evolution
ii evolution-couchdb 0.3.2-0ubuntu2 Evolution support for CouchDB databases
ii evolution-data-server 2.28.1-0ubuntu1 evolution database backend server
ii evolution-data-server-common 2.28.1-0ubuntu1 architecture independent files for Evolution Data Server
ii evolution-documentation-en 2.28.1-0ubuntu1 documentation for Evolution
ii evolution-exchange 2.28.1-0ubuntu1 Exchange plugin for the Evolution groupware suite
ii evolution-indicator 0.2.4-0ubuntu2 GNOME panel indicator applet for Evolution
ii evolution-plugins 2.28.1-0ubuntu1 standard plugins for Evolution
ii evolution-webcal 2.28.0-0ubuntu1 webcal: URL handler for GNOME and Evolution

Kurt Huwig (k-huwig) wrote :

Heidrich, for me this happens, if the Exchange server cannot be contacted or does not want to answer and therefore single-threaded Evolution hangs. Probably writing email while checking mail in the background would "confuse the user" and therefore is forbidden in Gnome applications. Double check the name of the global catalogue server and check if it is reachable from your machine and answers.

Kurt Huwig (k-huwig) wrote :

The bug is know since January 2009:

https://bugzilla.gnome.org/show_bug.cgi?id=569716

but still "unconfirmed". Maybe the development of this part of Evolution has stopped.

Ian Redfern (ian-redfern) wrote :

I've now upgraded to Karmic, and the Evolution hanging problem is just as bad. I get "Filtering new message(s) (0% complete)" every hour or so, and I then have to:

/usr/lib/evolution/2.28/killev && rm ~/.evolution/mail/exchange/*/folders.db && evolution --online &

in order to get it working again. All my Jaunty problems are still there, particularly if the Exchange server is unavailable for any reason, and they are not connected to composing mail, as they happen on an idle machine.

Miguel Gonzalez (mrgonzalez) wrote :

did somebody found the solution for this??

Ashley Prescott (ash-prescott) wrote :

It does seem to be very unreliable with numerous restarts required on a daily basis. Many of the symptoms as described above.

Running Ubuntu 10.4 with all the latest updates.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.